Rasa x alembic.util.exc.CommandError: Can't locate revision identified by '652500998f3e'

(chatbot) C:\Users\medsa\chatbot>rasa x Starting Rasa X in local mode… � Traceback (most recent call last): File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 322, in get_revisions return tuple( File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 323, in self._revision_for_ident(rev_id, branch_label) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 386, in _revision_for_ident raise ResolutionError( alembic.script.revision.ResolutionError: No such revision or branch ‘652500998f3e’

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “c:\users\medsa\anaconda3\envs\chatbot\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally local.main( File “c:\users\medsa\anaconda3\envs\chatbot\lib\site-packages\rasax\community\local.py”, line 227, in main sql_migrations.run_migrations(session) File “c:\users\medsa\anaconda3\envs\chatbot\lib\site-packages\rasax\community\sql_migrations.py”, line 25, in run_migrations _run_schema_migrations(session) File “c:\users\medsa\anaconda3\envs\chatbot\lib\site-packages\rasax\community\sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “c:\users\medsa\anaconda3\envs\chatbot\lib\site-packages\rasax\community\sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\command.py”, line 298, in upgrade script.run_env() File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\util\pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\util\compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 848, in exec_module File “”, line 219, in _call_with_frames_removed File “c:\users\medsa\anaconda3\envs\chatbot\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 96, in run_migrations_online() File “c:\users\medsa\anaconda3\envs\chatbot\lib\site-packages\rasax\community\database\schema_migrations\alembic\env.py”, line 86, in run_migrations_online context.run_migrations() File “”, line 8, in run_migrations File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\runtime\environment.py”, line 846, in run_migrations self.get_context().run_migrations(**kw) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\runtime\migration.py”, line 511, in run_migrations for step in self._migrations_fn(heads, self): File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\command.py”, line 287, in upgrade return script._upgrade_revs(revision, rev) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 365, in _upgrade_revs return [ File “c:\users\medsa\anaconda3\envs\chatbot\lib\contextlib.py”, line 131, in exit self.gen.throw(type, value, traceback) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 194, in _catch_revision_errors compat.raise_from_cause(util.CommandError(resolution)) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\util\compat.py”, line 308, in raise_from_cause reraise(type(exception), exception, tb=exc_tb, cause=exc_value) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\util\compat.py”, line 301, in reraise raise value.with_traceback(tb) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 162, in _catch_revision_errors yield File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\base.py”, line 364, in upgrade_revs revs = list(revs) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 765, in iterate_revisions requested_lowers = self.get_revisions(lower) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in get_revisions return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 319, in return sum([self.get_revisions(id_elem) for id_elem in id], ()) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 322, in get_revisions return tuple( File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 323, in self._revision_for_ident(rev_id, branch_label) File “C:\Users\medsa\AppData\Roaming\Python\Python38\site-packages\alembic\script\revision.py”, line 386, in _revision_for_ident raise ResolutionError( alembic.util.exc.CommandError: Can’t locate revision identified by ‘652500998f3e’

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

@Medsabkhi21 Share rasa version rasa --version

thanks @nik202 ,I’ve already found the solution in

@Medsabkhi21 ok

1 Like

I fixed mine by deleting the database volume mounted by rasa X and it worked